
Partial Class LoadTest_Default
    Inherits CharterCMSPage

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        SetPageTitle("Default Load Testing")


        '###############################################################################
        'FEB 21 2007- WORKED WITH JASON COHEN TO RETURN A STATUS OF CCOMGOOD TO 
        'KEEP THE SERVER IN THE CLUSTER. THE VALUE OF CCOMGOOD IS CONFIGURABLE IN 
        'THE DB, ADMIN.WEBCONFIG TABLE.
        'IF THE SERVER WAS DOWN OR LOADED DOWN TO THE POINT THIS PAGE WAS NOT 
        'RETURNING, THE VIP WOULD REMOVE THE BOX FROM THE CLUSTER IF IT DOESNT 
        'FIND THE WORD (CCOMGOOD) SOMEWHERE IN THE PAGE.
        '###############################################################################
        Dim X As String = ""
        Select Case Environment.MachineName.ToLower
            Case "kstlmcc2p01"
                '#######
                'PROD
                '#######
                X = Application("WEB_SERVER_1_HEALTH_CHECK_")
            Case "kstlmcc2p02"
                '#######
                'PROD
                '#######
                X = Application("WEB_SERVER_2_HEALTH_CHECK_")
            Case "kstlmcc2p03"
                '#######
                'PROD
                '#######
                X = Application("APP_SERVER_1_HEALTH_CHECK_")
            Case "kstlmcc2p04"
                '#######
                'PROD
                '#######
                X = Application("APP_SERVER_2_HEALTH_CHECK_")
            Case "kstlmweb66"
                '#######
                'UAT
                '#######
                X = Application("WEB_SERVER_1_HEALTH_CHECK_")
            Case "kstlmweb67"
                '#######
                'UAT
                '#######
                X = Application("WEB_SERVER_2_HEALTH_CHECK_")
            Case "kstlmweb68"
                '#######
                'UAT
                '#######
                X = Application("APP_SERVER_1_HEALTH_CHECK_")
            Case "kstlmweb69"
                '#######
                'UAT
                '#######
                X = Application("APP_SERVER_2_HEALTH_CHECK_")
            Case "kstlmweb65"
                '#######
                'DEV
                '#######
                X = Application("APP_SERVER_1_HEALTH_CHECK_")
            Case "kstlintcncegenm"
                '#######
                'LOCALHOST
                '#######
                X = Application("APP_SERVER_1_HEALTH_CHECK_")
            Case Else
                X = "for what ever reason, the box this is running on wasn't in the case statement (" & Environment.MachineName.ToLower & "), but the status is still CCOMGOOD <br>"
        End Select

        Response.Write(X & "<BR> " & Environment.MachineName.ToLower)

    End Sub
End Class
